GET /v1/status
Is the data current? Counts, the uncategorized total, and the latest run of each source.
Auth. Send the token in the X-Ledger-Token header.
Responses
| Status | Meaning | Body |
|---|---|---|
200 | Status | object |
429 | Too many requests from this client address. Wait the number of seconds in Retry-After, then try again. | Error |
Example response
{
"sources": [
{
"source": "string",
"ran_at": "2026-10-11T00:00:00Z",
"status": "ok",
"message": "string"
}
],
"transactions": 0,
"accounts": 0,
"uncategorized": 0,
"transfers_needing_review": 0,
"latest_balance_date": "2026-10-11T00:00:00Z"
}
Code samples
Set KEY to your own token first.
curl
curl \
-H X-Ledger-Token:$KEY \
"https://api.sasek.org/ledger/v1/status"
JavaScript
const res = await fetch("https://api.sasek.org/ledger/v1/status", {
headers: { "X-Ledger-Token": KEY },
});
const data = await res.json();
Python
import json
import os
import urllib.request
request = urllib.request.Request(
"https://api.sasek.org/ledger/v1/status",
method="GET",
headers={
"X-Ledger-Token": os.environ["KEY"],
},
)
with urllib.request.urlopen(request) as response:
print(json.load(response))